<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && ! defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif(! defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify that you put this file in the same place as SMF\'s index.php and SSI.php files.');

if (SMF === 'SSI' && ! $user_info['is_admin'])
	die('Admin privileges required.');

// Definition of column to add for this mod
$column = array(
	'name' => 'mod_nbr_flag',
	'type' => 'int',
	'size' => 2,
	'unsigned' => true,
	'not_null' => true,
	'default' => 1
);

// Add column to "boards" table
$smcFunc['db_add_column']('{db_prefix}boards', $column);

// Set flag in the new column to 1 for all existing boards
$smcFunc['db_query']('', "
	UPDATE
		{db_prefix}boards
	SET
	  mod_nbr_flag = 1
");

if (SMF === 'SSI')
	echo 'Database changes are complete!';

?>
